#73591 Report by node travis-ci covering 1757 tests from 50 modules resulted into 5 errors

Report

ObsPy Version
1.0.3rc1.post0+903.g8ea0ea3281
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/210059632
GitHub Pull Request
https://github.com/obspy/obspy/pull/1663
Report File
XML Document
Total Runtime
727.0 sec
Report Date/Time
2017-03-11 09:35:49

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.5
Release
4.8.12-040812-generic
System
Linux
Version
#201612020431 SMP Fri Dec 2 09:33:31 UTC 2016

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
1.47
lxml.etree
3.7.2
m2crypto
---
matplotlib
1.5.1
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.11.1
scipy
0.17.0
setuptools
27.2.0
sqlalchemy
1.1.5

Modules (50)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.seedlink 3 1 2 3
obspy.clients.seishub 2 4 5
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 5 5

Tracebacks (5)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 24, in test_get_waveform
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/testing.py", line 49, in runTest
return self._runTest()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seedlink.basic_client.Client.get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/basic_client.py", line 62, in get_waveforms
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/basic_client.py", line 70, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/basic_client.py", line 79, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
G.FDF.00.BHN | 20... | 20.0 Hz, ... samples
G.FDF.00.BHE | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/tests/test_slpacket.py", line 36, in test_get_string_payload
payload = packet.get_string_payload()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/slpacket.py", line 178, in get_string_payload
msr, msrecord_py = self.get_ms_record()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seedlink/slpacket.py", line 119, in get_ms_record
len(pyobj), C.pointer(msr), -1, 1, 1)
ctypes.ArgumentError: argument 1: <class 'TypeError'>: argument must be an ndarray
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/testing.py", line 49, in runTest
return self._runTest()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client._StationMapperClient.get_paz
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 704, in get_paz
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 721, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[1]>", line 1, in <module>
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 722, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['zeros']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[2]>", line 1, in <module>
paz['zeros']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 724, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
len(paz['poles'])
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[3]>", line 1, in <module>
len(paz['poles'])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 726, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
print(paz['poles'][0])
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[4]>", line 1, in <module>
print(paz['poles'][0])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 728, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['gain']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[5]>", line 1, in <module>
paz['gain']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 730, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['sensitivity']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[6]>", line 1, in <module>
paz['sensitivity']
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/testing.py", line 49, in runTest
return self._runTest()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client.Client
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 87, in Client
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 110, in obspy.clients.seishub.client.Client
Failed example:
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[3]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 111, in obspy.clients.seishub.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined

Skipped Tests (30)

Submodule Test Skip Message
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
clients.arclink test_cryptography (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
io.wav test_rescale_on_write (obspy.io.wav.tests.test_core.CoreTestCase) needs a recent NumPy version
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
80.358s get_paz (obspy.clients.seishub.client._StationMapperClient)
80.293s Client (obspy.clients.seishub.client)
30.584s test_kennet_ak135_ttime_tables_p_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
30.394s test_kennet_ak135_ttime_tables_s_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
28.398s test_kennet_ak135_ttime_tables_p_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
22.326s test_kennet_ak135_ttime_tables_s_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
17.723s test_kennet_ak135_ttime_tables_pkikp (obspy.taup.tests.test_tau.TauPyModelTestCase)
16.828s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
16.239s test_kennet_ak135_ttime_tables_pcp (obspy.taup.tests.test_tau.TauPyModelTestCase)
15.163s test_kennet_ak135_ttime_tables_scs (obspy.taup.tests.test_tau.TauPyModelTestCase)
12.953s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
11.291s test_kennet_ak135_ttime_tables_scp (obspy.taup.tests.test_tau.TauPyModelTestCase)
11.181s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.480s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
6.206s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
6.115s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.709s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
5.685s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.076s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.770s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris Fact

Chuck Norris can binary search unsorted data.